<?php
defined('TYPO3') or die();

call_user_func(static function () {
    
    // Felder fuer SLUG (Speaking URL)
    $GLOBALS['TCA']['pages']['columns']['slug']['config']['generatorOptions']['fields'] = [ ['nav_title', 'title'] ];
    // Replace / in slugs with -
    $GLOBALS['TCA']['pages']['columns']['slug']['config']['generatorOptions']['replacements']['/'] = '-';

    // Adding hide in sitemap checkbox
    $additionalColumns = [
        'ig_hide_in_sitemap' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_in_sitemap_label',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                    ]
                ]                
            ]
        ]
    ];
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages', $additionalColumns);
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette(
        'pages',
        'visibility',
        'ig_hide_in_sitemap',
        'after:nav_hide'
    );
    
});


